#!/usr/bin/env python
# -*- coding: utf-8 -*-#
#-----------------------------------------------------------------------------
# Name:        SplashScreen.py
# Purpose:     Splash screen di DIETA - ridotto da quello di eric4
#
# Author:      Licia Leanza
# E-mail:      dieta.sw@gmail.com
#
# Created:     12-12-07
# RCS-ID:      $Id: SplashScreen.py 23 2009-02-01 17:56:14Z licia $
# Copyright:   (c) Licia Leanza: 2007-2009
# Licence:     GPL v2
# Package:     DIETA
#-----------------------------------------------------------------------------

# Copyright (c) 2006 - 2007 Detlev Offenbach <detlev@die-offenbachs.de>
#

"""
Module implementing a splashscreen for eric4.
"""

import os.path

from PyQt4.QtCore import Qt
from PyQt4.QtGui import QApplication, QPixmap, QSplashScreen, QColor

_cwd =  os.getcwd()
pixDir =  os.path.join(_cwd, 'icons')

class SplashScreen(QSplashScreen):
    """
    Class implementing a splashscreen .
    """
    def __init__(self):
        """
        Constructor
        """
        pic = QPixmap(os.path.join(pixDir, 'dieta.png'))
        self.labelAlignment = \
            Qt.Alignment(Qt.AlignBottom | Qt.AlignRight | Qt.AlignAbsolute)
        QSplashScreen.__init__(self, pic)
        self.show()
        QApplication.flush()
        
    def showMessage(self, msg):
        """
        Public method to show a message in the bottom part of the splashscreen.
        
        @param msg message to be shown (string or QString)
        """
        QSplashScreen.showMessage(self, msg, self.labelAlignment, QColor(Qt.white))
        QApplication.processEvents()
        
    def clearMessage(self):
        """
        Public method to clear the message shown.
        """
        QSplashScreen.clearMessage(self)
        QApplication.processEvents()

